#ifndef __XCOORD_H__
#define __XCOORD_H__

#include "xCollider.h"

/**
 * The coordinate used to order the AABB projections
 */

class xCoord {
  /**
   * True if this is the left margin of the interval
     */
  bool bLeft;
  
public:
  /**
   * The collider with the AABB containing this coordinate
   * - maybe can be made integer - pointer in an array
   */
  int Collider_i;

  /**
   * Value
   */
  double Value;
  
  /**
   * constructor
   */
  xCoord(double theValue, bool isleft, int col_index);

  /**
   * functors
   */
  bool isLeft() { return bLeft; };
  bool isRight() { return !bLeft; };
};

#endif



